libmxml1-3.0-1.mga6.i586.rpm


Advertisement

Description

libmxml1 - Miniature XML development library

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename libmxml1-3.0-1.mga6.i586.rpm
Package name libmxml1
Package version 3.0
Package release 1.mga6
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://michaelrsweet.github.io/mxml/
License ASL 2.0 with exception
Maintainer -
Download size 56.06 KB
Installed size 205.36 KB
Mini-XML is a small XML parsing library that you can use to read XML and
XML-like data files in your application without requiring large non-standard
libraries.  Mini-XML provides the following functionality:
- Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded  XML files and
strings.
- Data is stored in a linked-list tree structure, preserving  the XML data
hierarchy.
- Supports arbitrary element names, attributes, and attribute values with no
preset limits, just available memory.
- Supports integer, real, opaque ("cdata"), and text data types in "leaf"
nodes.
- Functions for creating and managing trees of data.
- "Find" and "walk" functions for easily locating and navigating trees of data.
Mini-XML doesn't do validation or other types of processing on the data based
upon schema files or other sources of definition information, nor does it
support character entities other than those required by the XML specification.

Alternatives

Package Version Architecture Repository
libmxml1-2.10-1.mga6.i586.rpm 2.10 i586 Mageia Core
libmxml1 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.8) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -

Provides

Name Value
libmxml.so.1 -
libmxml1 == 3.0-1.mga6
libmxml1(x86-32) == 3.0-1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libmxml1-3.0-1.mga6.i586.rpm
Source Package mxml-3.0-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libmxml1 rpm package:
    # urpmi libmxml1

Files

Path
/usr/lib/libmxml.so.1
/usr/lib/libmxml.so.1.6
/usr/share/doc/libmxml1/CHANGES.md
/usr/share/doc/libmxml1/README.md
/usr/share/doc/libmxml1/mxml.html
/usr/share/licenses/libmxml1/LICENSE

Changelog

2019-03-29 - daviddavid <daviddavid> 3.0-1.mga6
+ Revision: 1381172
- new version: 3.0, fixes CVE-2018-2000[45] and CVE-2018-2059[23] (mga#24583)
- devel subpkg require library subpkg
2017-04-02 - mrambo3501 <mrambo3501> 2.10-1.mga6
+ Revision: 1095610
- version 2.10 fixes CVE-2016-4570 and CVE-2016-4571
- removed one no longer supported configure option
- changed a couple of macros in spec to current settings

See Also

Package Description
libncurses-devel-6.0-8.1.mga6.i586.rpm The development files for applications which use ncurses
libncurses-devel-6.0-8.3.mga6.i586.rpm The development files for applications which use ncurses
libncurses5-6.0-8.1.mga6.i586.rpm The development files for applications which use ncurses
libncurses5-6.0-8.3.mga6.i586.rpm The development files for applications which use ncurses
libncurses6-6.0-8.1.mga6.i586.rpm The development files for applications which use ncurses
libncurses6-6.0-8.3.mga6.i586.rpm The development files for applications which use ncurses
libncursesw-devel-6.0-8.1.mga6.i586.rpm The development files for applications which use ncurses
libncursesw-devel-6.0-8.3.mga6.i586.rpm The development files for applications which use ncurses
libncursesw5-6.0-8.1.mga6.i586.rpm Ncurses libraries which support UTF8
libncursesw5-6.0-8.3.mga6.i586.rpm Ncurses libraries which support UTF8
libncursesw6-6.0-8.1.mga6.i586.rpm Ncurses libraries which support UTF8
libncursesw6-6.0-8.3.mga6.i586.rpm Ncurses libraries which support UTF8
libndpi-devel-1.8.0-1.mga6.i586.rpm Header files and libraries for developing applications for nDPI
libndpi2-1.8.0-1.mga6.i586.rpm Open source deep packet inspection library
libnet-snmp-devel-5.7.3-4.1.mga6.i586.rpm The development environment for the NET-SNMP project
Advertisement
Advertisement